import { default as PropTypes } from 'prop-types';
/**
 * BlockletStore component
 * @typedef {{
 *  title?: string | JSX.Element;
 *  did?: string;
 *  description?: string | JSX.Element;
 *  cover?: string;
 *  version?: string;
 *  buttonText?: string;
 *  buttonDisabled?: false | true;
 *  buttonLoading?: false | true;
 *  button?: JSX.Element;
 *  onButtonClick?: Function;
 *  onMainClick?: Function;
 *  className?: string;
 * } & import('react').ComponentPropsWithoutRef<"div"> } BlockletStoreProps
 */
/**
 * BlockletStore component
 * @param {BlockletStoreProps} props
 * @returns {JSX.Element}
 */
declare function BlockletStore({ title, did, description, cover, version, button, buttonText, buttonDisabled, buttonLoading, onButtonClick, onMainClick, className, ...rest }: BlockletStoreProps): JSX.Element;
declare namespace BlockletStore {
    namespace propTypes {
        let title: PropTypes.Requireable<string>;
        let did: PropTypes.Requireable<string>;
        let description: PropTypes.Requireable<string>;
        let cover: PropTypes.Requireable<string>;
        let buttonText: PropTypes.Requireable<string>;
        let buttonDisabled: PropTypes.Requireable<boolean>;
        let buttonLoading: PropTypes.Requireable<boolean>;
        let button: PropTypes.Requireable<PropTypes.ReactElementLike>;
        let version: PropTypes.Requireable<string>;
        let onButtonClick: PropTypes.Requireable<(...args: any[]) => any>;
        let onMainClick: PropTypes.Requireable<(...args: any[]) => any>;
        let className: PropTypes.Requireable<string>;
    }
}
export default BlockletStore;
/**
 * BlockletStore component
 */
export type BlockletStoreProps = {
    title?: string | JSX.Element;
    did?: string;
    description?: string | JSX.Element;
    cover?: string;
    version?: string;
    buttonText?: string;
    buttonDisabled?: false | true;
    buttonLoading?: false | true;
    button?: JSX.Element;
    onButtonClick?: Function;
    onMainClick?: Function;
    className?: string;
} & import('react').ComponentPropsWithoutRef<"div">;
